package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[本地语言]
 */
@Component("ionicdemo_CodeList56CodeList")
public class CodeList56CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList56");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("EN");
		item0.setId("EN");
		item0.setText("英文");
		item0.setLabel("英文");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("EN",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("ZH_CN");
		item1.setId("ZH_CN");
		item1.setText("中文简体");
		item1.setLabel("中文简体");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("ZH_CN",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("ZH_TW");
		item2.setId("ZH_TW");
		item2.setText("中文繁体（台湾）");
		item2.setLabel("中文繁体（台湾）");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("ZH_TW",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}